Subject: Re: [MMUSIC] imageattr and codec parameter sets (with embedded image size info)

From: Kyunghun Jung <[email-masked]>
Date: Fri, 01 Aug 2008 00:17:26 +0000 (GMT)

Dear Mr. Randell Jesup:

Thank you for so many comments and clarifications.

We will wait for the discussion at MMUSIC on Friday and bring the results
to 3GPP SA4,

starting from August 18.

Best regards,

Kyunghun Jung

------- Original Message -------
Sender : Randell Jesup<[email-masked]>
Date : 2008-07-31 22:49 (GMT+09:00)
Title : Re: imageattr and codec parameter sets (with embedded image size info)

Kyunghun Jung <[email-masked]> writes:

>Then we might also need to comment on MPEG-4's config, which does similar

>roles as sprop-parameter-sets of H.264.

>In addition, config includes image size information too. P. 38 of 3GPP TS

>26.234 says:

>The frame size field in SDP is needed by the client in order to properly

>allocate frame buffer memory.   For MPEG-4 Visual streams, the frame size

>shall be extracted from the "config" information in the SDP. For H.264

>(AVC) streams, the frame size shall be extracted from the

>sprop-parameters-sets information in the SDP. For H.263 streams, a PSS

>server shall include the "a=framesize" field at the media level for each

>stream in SDP, and a PSS client should interpret this field, if present.

>Clients should be ready to receive SDP descriptions without this

>attribute.

a=framesize is not defined (that I know of) for H.263, nor is it generic.

It appears to be specific to 3GPP and not defined by any IETF RFC or draft.

The paragraph above doesn't specify the interactions between a=framesize

and H.263 fmtp lines ("CIF=2", etc).  Does a=framesize override the fmtp

preferences?  Must the value in a=framesize be listed in the fmtp, and what

happens if it isn't, or is that invalid?

>We might need to check whether other bitstream of config or

>sprop-parameter-sets does not change after the size information is

>removed,

I don't think you can remove the size fields from parameter sets, but I'd

have to check the spec to be sure.

--

Randell Jesup, Worldgate (developers of the Ojo videophone), ex-Amiga OS team

[email-masked]

"The fetters imposed on liberty at home have ever been forged out of the weapons

provided for defence against real, pretended, or imaginary dangers from abroad."

- James Madison, 4th US president (1751-1836)

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic